.TH wxPageSetupDialogData 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxPageSetupDialogData \- See external documentation: wxPageSetupDialogData\&.
.SH DESCRIPTION
.LP
See external documentation: wxPageSetupDialogData <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html>\&.

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxPageSetupDialogData()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxPageSetupDialogData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatawxpagesetupdialogdata>\&.
.RE
.LP
.B
new(PrintData::wxPrintData() (see module wxPrintData) | wxPageSetupDialogData()) -> wxPageSetupDialogData()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatawxpagesetupdialogdata>\&.
.RE
.LP
.B
enableHelp(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataenablehelp>\&.
.RE
.LP
.B
enableMargins(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataenablemargins>\&.
.RE
.LP
.B
enableOrientation(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataenableorientation>\&.
.RE
.LP
.B
enablePaper(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataenablepaper>\&.
.RE
.LP
.B
enablePrinter(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataenableprinter>\&.
.RE
.LP
.B
getDefaultMinMargins(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetdefaultminmargins>\&.
.RE
.LP
.B
getEnableMargins(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetenablemargins>\&.
.RE
.LP
.B
getEnableOrientation(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetenableorientation>\&.
.RE
.LP
.B
getEnablePaper(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetenablepaper>\&.
.RE
.LP
.B
getEnablePrinter(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetenableprinter>\&.
.RE
.LP
.B
getEnableHelp(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetenablehelp>\&.
.RE
.LP
.B
getDefaultInfo(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetdefaultinfo>\&.
.RE
.LP
.B
getMarginTopLeft(This::wxPageSetupDialogData()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetmargintopleft>\&.
.RE
.LP
.B
getMarginBottomRight(This::wxPageSetupDialogData()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetmarginbottomright>\&.
.RE
.LP
.B
getMinMarginTopLeft(This::wxPageSetupDialogData()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetminmargintopleft>\&.
.RE
.LP
.B
getMinMarginBottomRight(This::wxPageSetupDialogData()) -> {X::integer(), Y::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetminmarginbottomright>\&.
.RE
.LP
.B
getPaperId(This::wxPageSetupDialogData()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetpaperid>\&.
.RE
.LP
.B
getPaperSize(This::wxPageSetupDialogData()) -> {W::integer(), H::integer()}
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetpapersize>\&.
.RE
.LP
.B
getPrintData(This::wxPageSetupDialogData()) -> wxPrintData() (see module wxPrintData)
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatagetprintdata>\&.
.RE
.LP
.B
isOk(This::wxPageSetupDialogData()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdataisok>\&.
.RE
.LP
.B
setDefaultInfo(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetdefaultinfo>\&.
.RE
.LP
.B
setDefaultMinMargins(This::wxPageSetupDialogData(), Flag::bool()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetdefaultminmargins>\&.
.RE
.LP
.B
setMarginTopLeft(This::wxPageSetupDialogData(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetmargintopleft>\&.
.RE
.LP
.B
setMarginBottomRight(This::wxPageSetupDialogData(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetmarginbottomright>\&.
.RE
.LP
.B
setMinMarginTopLeft(This::wxPageSetupDialogData(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetminmargintopleft>\&.
.RE
.LP
.B
setMinMarginBottomRight(This::wxPageSetupDialogData(), Pt::{X::integer(), Y::integer()}) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetminmarginbottomright>\&.
.RE
.LP
.B
setPaperId(This::wxPageSetupDialogData(), Id::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetpaperid>\&.
.RE
.LP
.B
setPaperSize(This::wxPageSetupDialogData(), X::integer() | term()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetpapersize>\&. 
.br
 Alternatives: 
.LP
\fI setPaperSize(This::wxPageSetupDialogData(), Id::integer()) -> ok \fR 
.LP
\fI setPaperSize(This::wxPageSetupDialogData(), Sz::{W::integer(), H::integer()}) -> ok \fR 
.RE
.LP
.B
setPrintData(This::wxPageSetupDialogData(), PrintData::wxPrintData() (see module wxPrintData)) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxpagesetupdialogdata\&.html#wxpagesetupdialogdatasetprintdata>\&.
.RE
.LP
.B
destroy(This::wxPageSetupDialogData()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
